Start virtual machine
Start a specified virtual machine. If the virtual machine is already running, the request will still be processed without any effect. Use this endpoint to power on stopped VPS instances.
Start a specified virtual machine.
If the virtual machine is already running, the request will still be processed without any effect.
Use this endpoint to power on stopped VPS instances.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
virtualMachineIdintegerRequiredExample:
Virtual Machine ID
1268054Responses
200
Success response
application/json
idintegerOptionalExample:
Action ID
8123712namestringOptionalExample:
Action name
action_namestatestring · enumOptionalExample:
Action state
successPossible values: created_atstring · date-timeOptionalExample:
2025-02-27T11:54:00Zupdated_atstring · date-timeOptionalExample:
2025-02-27T11:58:00Z401
Unauthenticated response
application/json
500
Error response
application/json
post/api/vps/v1/virtual-machines/{virtualMachineId}/start
POST /api/vps/v1/virtual-machines/{virtualMachineId}/start HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": 8123712,
"name": "action_name",
"state": "success",
"created_at": "2025-02-27T11:54:00Z",
"updated_at": "2025-02-27T11:58:00Z"
}Last updated
Was this helpful?